Skip to content
Developer

BaseLocationPlanItem

Locations and bookings5 EndpointsEvent / BaseLocationPlanItem

Returns a list of BaseLocationPlanItem objects

GET/api/event/base_location_plan_item

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
tokenstring
planstring
baseBookablestring
itemTypestring
shapestring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of BaseLocationPlanItem objectsarray<BaseLocationPlanItem>

Show fields (25)
  • planinteger
  • displayLabelstring

    Label actually shown on the plan: the manual label wins, otherwise the cached bookable name.

  • idinteger

    Primary key of the plan item. Internal ID.

  • tokenstring

    Public token of the plan item. Used instead of the ID.

  • item_typestring

    Type of the item, for example seat, table or label.

  • shapestring

    Shape of the item on the plan.

  • pos_xnumber (float)

    Left edge, normalized 0.0 - 1.0

  • pos_ynumber (float)

    Top edge, normalized 0.0 - 1.0

  • widthnumber (float)

    Width of the item in plan units.

  • heightnumber (float)

    Height of the item in plan units.

  • rotationnumber (float)

    Rotation of the item in degrees.

  • z_indexinteger

    Stacking order of the item on the plan.

  • labelstring

    Overrides the bookable name on the plan.

  • iconstring

    Icon shown on the item.

  • show_labelboolean

    Show the label of the item.

  • show_statusboolean

    Show the status of the item.

  • show_nextboolean

    Show the next booking of the item.

  • seat_rowstring

    Seat: row ("5", "B") as printed on the ticket.

  • seat_numberstring

    Seat: number within the row.

  • seat_zonestring

    Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • colorstring

    Background color as hex value.

  • fg_colorstring

    Foreground color as hex value.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_location_plan_item \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "color": "#3f5efb",
    "fg_color": "#3f5efb",
    "plan": 1,
    "displayLabel": "string",
    "token": "string",
    "item_type": "string",
    "shape": "string",
    "pos_x": 1.5,
    "pos_y": 1.5
  }
]

Add a new BaseLocationPlanItem

POST/api/event/base_location_plan_item

Request body application/json

  • dataBaseLocationPlanItem2
    Show fields (17)
    • item_typestring

      Type of the item, for example seat, table or label.

    • shapestring

      Shape of the item on the plan.

    • pos_xnumber (float)

      Left edge, normalized 0.0 - 1.0

    • pos_ynumber (float)

      Top edge, normalized 0.0 - 1.0

    • widthnumber (float)

      Width of the item in plan units.

    • heightnumber (float)

      Height of the item in plan units.

    • rotationnumber (float)

      Rotation of the item in degrees.

    • z_indexinteger

      Stacking order of the item on the plan.

    • labelstring

      Overrides the bookable name on the plan.

    • iconstring

      Icon shown on the item.

    • show_labelboolean

      Show the label of the item.

    • show_statusboolean

      Show the status of the item.

    • show_nextboolean

      Show the next booking of the item.

    • seat_rowstring

      Seat: row ("5", "B") as printed on the ticket.

    • seat_numberstring

      Seat: number within the row.

    • seat_zonestring

      Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new BaseLocationPlanItemBaseLocationPlanItem

Show fields (25)
  • planinteger
  • displayLabelstring

    Label actually shown on the plan: the manual label wins, otherwise the cached bookable name.

  • idinteger

    Primary key of the plan item. Internal ID.

  • tokenstring

    Public token of the plan item. Used instead of the ID.

  • item_typestring

    Type of the item, for example seat, table or label.

  • shapestring

    Shape of the item on the plan.

  • pos_xnumber (float)

    Left edge, normalized 0.0 - 1.0

  • pos_ynumber (float)

    Top edge, normalized 0.0 - 1.0

  • widthnumber (float)

    Width of the item in plan units.

  • heightnumber (float)

    Height of the item in plan units.

  • rotationnumber (float)

    Rotation of the item in degrees.

  • z_indexinteger

    Stacking order of the item on the plan.

  • labelstring

    Overrides the bookable name on the plan.

  • iconstring

    Icon shown on the item.

  • show_labelboolean

    Show the label of the item.

  • show_statusboolean

    Show the status of the item.

  • show_nextboolean

    Show the next booking of the item.

  • seat_rowstring

    Seat: row ("5", "B") as printed on the ticket.

  • seat_numberstring

    Seat: number within the row.

  • seat_zonestring

    Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • colorstring

    Background color as hex value.

  • fg_colorstring

    Foreground color as hex value.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/base_location_plan_item \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "item_type": "string",
    "shape": "string",
    "pos_x": 1.5,
    "pos_y": 1.5,
    "width": 1.5,
    "height": 1.5
  }
}
'
Response 200 application/json
{
  "id": 42,
  "color": "#3f5efb",
  "fg_color": "#3f5efb",
  "plan": 1,
  "displayLabel": "string",
  "token": "string",
  "item_type": "string",
  "shape": "string",
  "pos_x": 1.5,
  "pos_y": 1.5
}

Returns a single BaseLocationPlanItem

GET/api/event/base_location_plan_item/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single BaseLocationPlanItemBaseLocationPlanItem

Show fields (25)
  • planinteger
  • displayLabelstring

    Label actually shown on the plan: the manual label wins, otherwise the cached bookable name.

  • idinteger

    Primary key of the plan item. Internal ID.

  • tokenstring

    Public token of the plan item. Used instead of the ID.

  • item_typestring

    Type of the item, for example seat, table or label.

  • shapestring

    Shape of the item on the plan.

  • pos_xnumber (float)

    Left edge, normalized 0.0 - 1.0

  • pos_ynumber (float)

    Top edge, normalized 0.0 - 1.0

  • widthnumber (float)

    Width of the item in plan units.

  • heightnumber (float)

    Height of the item in plan units.

  • rotationnumber (float)

    Rotation of the item in degrees.

  • z_indexinteger

    Stacking order of the item on the plan.

  • labelstring

    Overrides the bookable name on the plan.

  • iconstring

    Icon shown on the item.

  • show_labelboolean

    Show the label of the item.

  • show_statusboolean

    Show the status of the item.

  • show_nextboolean

    Show the next booking of the item.

  • seat_rowstring

    Seat: row ("5", "B") as printed on the ticket.

  • seat_numberstring

    Seat: number within the row.

  • seat_zonestring

    Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • colorstring

    Background color as hex value.

  • fg_colorstring

    Foreground color as hex value.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_location_plan_item/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "color": "#3f5efb",
  "fg_color": "#3f5efb",
  "plan": 1,
  "displayLabel": "string",
  "token": "string",
  "item_type": "string",
  "shape": "string",
  "pos_x": 1.5,
  "pos_y": 1.5
}

Update a BaseLocationPlanItem

PUT/api/event/base_location_plan_item/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseLocationPlanItem2
    Show fields (17)
    • item_typestring

      Type of the item, for example seat, table or label.

    • shapestring

      Shape of the item on the plan.

    • pos_xnumber (float)

      Left edge, normalized 0.0 - 1.0

    • pos_ynumber (float)

      Top edge, normalized 0.0 - 1.0

    • widthnumber (float)

      Width of the item in plan units.

    • heightnumber (float)

      Height of the item in plan units.

    • rotationnumber (float)

      Rotation of the item in degrees.

    • z_indexinteger

      Stacking order of the item on the plan.

    • labelstring

      Overrides the bookable name on the plan.

    • iconstring

      Icon shown on the item.

    • show_labelboolean

      Show the label of the item.

    • show_statusboolean

      Show the status of the item.

    • show_nextboolean

      Show the next booking of the item.

    • seat_rowstring

      Seat: row ("5", "B") as printed on the ticket.

    • seat_numberstring

      Seat: number within the row.

    • seat_zonestring

      Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseLocationPlanItemBaseLocationPlanItem

Show fields (25)
  • planinteger
  • displayLabelstring

    Label actually shown on the plan: the manual label wins, otherwise the cached bookable name.

  • idinteger

    Primary key of the plan item. Internal ID.

  • tokenstring

    Public token of the plan item. Used instead of the ID.

  • item_typestring

    Type of the item, for example seat, table or label.

  • shapestring

    Shape of the item on the plan.

  • pos_xnumber (float)

    Left edge, normalized 0.0 - 1.0

  • pos_ynumber (float)

    Top edge, normalized 0.0 - 1.0

  • widthnumber (float)

    Width of the item in plan units.

  • heightnumber (float)

    Height of the item in plan units.

  • rotationnumber (float)

    Rotation of the item in degrees.

  • z_indexinteger

    Stacking order of the item on the plan.

  • labelstring

    Overrides the bookable name on the plan.

  • iconstring

    Icon shown on the item.

  • show_labelboolean

    Show the label of the item.

  • show_statusboolean

    Show the status of the item.

  • show_nextboolean

    Show the next booking of the item.

  • seat_rowstring

    Seat: row ("5", "B") as printed on the ticket.

  • seat_numberstring

    Seat: number within the row.

  • seat_zonestring

    Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • colorstring

    Background color as hex value.

  • fg_colorstring

    Foreground color as hex value.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/base_location_plan_item/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "item_type": "string",
    "shape": "string",
    "pos_x": 1.5,
    "pos_y": 1.5,
    "width": 1.5,
    "height": 1.5
  }
}
'
Response 200 application/json
{
  "id": 42,
  "color": "#3f5efb",
  "fg_color": "#3f5efb",
  "plan": 1,
  "displayLabel": "string",
  "token": "string",
  "item_type": "string",
  "shape": "string",
  "pos_x": 1.5,
  "pos_y": 1.5
}

Update a BaseLocationPlanItem

PATCH/api/event/base_location_plan_item/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseLocationPlanItem2
    Show fields (17)
    • item_typestring

      Type of the item, for example seat, table or label.

    • shapestring

      Shape of the item on the plan.

    • pos_xnumber (float)

      Left edge, normalized 0.0 - 1.0

    • pos_ynumber (float)

      Top edge, normalized 0.0 - 1.0

    • widthnumber (float)

      Width of the item in plan units.

    • heightnumber (float)

      Height of the item in plan units.

    • rotationnumber (float)

      Rotation of the item in degrees.

    • z_indexinteger

      Stacking order of the item on the plan.

    • labelstring

      Overrides the bookable name on the plan.

    • iconstring

      Icon shown on the item.

    • show_labelboolean

      Show the label of the item.

    • show_statusboolean

      Show the status of the item.

    • show_nextboolean

      Show the next booking of the item.

    • seat_rowstring

      Seat: row ("5", "B") as printed on the ticket.

    • seat_numberstring

      Seat: number within the row.

    • seat_zonestring

      Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseLocationPlanItemBaseLocationPlanItem

Show fields (25)
  • planinteger
  • displayLabelstring

    Label actually shown on the plan: the manual label wins, otherwise the cached bookable name.

  • idinteger

    Primary key of the plan item. Internal ID.

  • tokenstring

    Public token of the plan item. Used instead of the ID.

  • item_typestring

    Type of the item, for example seat, table or label.

  • shapestring

    Shape of the item on the plan.

  • pos_xnumber (float)

    Left edge, normalized 0.0 - 1.0

  • pos_ynumber (float)

    Top edge, normalized 0.0 - 1.0

  • widthnumber (float)

    Width of the item in plan units.

  • heightnumber (float)

    Height of the item in plan units.

  • rotationnumber (float)

    Rotation of the item in degrees.

  • z_indexinteger

    Stacking order of the item on the plan.

  • labelstring

    Overrides the bookable name on the plan.

  • iconstring

    Icon shown on the item.

  • show_labelboolean

    Show the label of the item.

  • show_statusboolean

    Show the status of the item.

  • show_nextboolean

    Show the next booking of the item.

  • seat_rowstring

    Seat: row ("5", "B") as printed on the ticket.

  • seat_numberstring

    Seat: number within the row.

  • seat_zonestring

    Seat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • colorstring

    Background color as hex value.

  • fg_colorstring

    Foreground color as hex value.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/base_location_plan_item/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "item_type": "string",
    "shape": "string",
    "pos_x": 1.5,
    "pos_y": 1.5,
    "width": 1.5,
    "height": 1.5
  }
}
'
Response 200 application/json
{
  "id": 42,
  "color": "#3f5efb",
  "fg_color": "#3f5efb",
  "plan": 1,
  "displayLabel": "string",
  "token": "string",
  "item_type": "string",
  "shape": "string",
  "pos_x": 1.5,
  "pos_y": 1.5
}